//CB11DEFS JOB accounting info,name,MSGLEVEL=1                                  
/*                                                                              
/* Create the definitions needed to run CICS EP SupportPac CB11                 
/* Creates the definitions in a group EPSSAMP                                   
/*                                                                              
/* To use:                                                                      
/* Replace accounting info etc. with relevant details                           
/* Replace STEPLIB with CICS library for relevant release of CICS               
/* Replace DFHCSD data set name with your CSD name                              
/*                                                                              
//DFHCSDUP EXEC PGM=DFHCSDUP,REGION=4M                                          
//STEPLIB  DD DSN=CICSTSXX.CICS.SDFHLOAD,DISP=SHR                               
//DFHCSD   DD DISP=SHR,DSN=CICSTSXX.CICS.CSD                                    
//SYSPRINT DD SYSOUT=A                                                          
//SYSUDUMP DD SYSOUT=A                                                          
//SYSABEND DD SYSOUT=A                                                          
//SYSIN    DD *                                                                 
*                                                                               
* Delete the group used                                                         
*                                                                               
DELETE GROUP(EPSSAMP)                                                           
*                                                                               
* Define the SupportPac program as CICS key assembler program                   
*                                                                               
DEFINE PROGRAM(EPSEMIT) GROUP(EPSSAMP)                                          
       DESCRIPTION(CICS Events for WBE Program)                                 
       LANGUAGE(ASSEMBLER) RELOAD(NO) RESIDENT(NO)                              
       USAGE(NORMAL) USELPACOPY(NO) STATUS(ENABLED)                             
       CEDF(NO) DATALOCATION(ANY) EXECKEY(CICS)                                 
       CONCURRENCY(THREADSAFE) API(CICSAPI)                                     
*                                                                               
* Define the sample COBOL program EPS0LINK                                      
*                                                                               
DEFINE PROGRAM(EPS0LINK) GROUP(EPSSAMP)                                         
       DESCRIPTION(CICS Events for WBE Sample Program)                          
       LANGUAGE(COBOL) RELOAD(NO) RESIDENT(NO)                                  
       USAGE(NORMAL) USELPACOPY(NO) STATUS(ENABLED)                             
       DATALOCATION(ANY) EXECKEY(USER)                                          
       CONCURRENCY(QUASIRENT) API(CICSAPI)                                      
*                                                                               
* Define a transaction to run the sample program to link                        
* to EP SupportPac. Mostly takes default values                                 
*                                                                               
DEFINE TRANSACTION(EPSK) GROUP(EPSSAMP)                                         
       DESCRIPTION(Sample transaction to test EP SupportPac)                    
       PROGRAM(EPS0LINK)                                                        
       STATUS(ENABLED)                                                          
       TASKDATALOC(ANY)                                                         
       TASKDATAKEY(USER)                                                        
/*                                                                              
//                                                                              
